Pub/SubGet subscription metrics
Pub/Sub

Get subscription metrics

Retrieve delivery metrics for a subscription.

curl -X GET "https://api.mythic-analytics.com/api/v1/admin/pubsub/subscriptions/example_string/metrics" \
  -H "Content-Type: application/json" \
  -H "Authorization: Bearer YOUR_API_TOKEN"
{
  "success": true,
  "data": {
    "messages_delivered": 15230,
    "messages_acknowledged": 15200,
    "messages_pending": 30,
    "dead_lettered": 5,
    "avg_delivery_latency_ms": 45
  }
}
GET
/admin/pubsub/subscriptions/{id}/metrics
GET
Security Scheme
Bearer Tokenstring
Required

Admin API key as bearer token. Format: Bearer YOUR_ADMIN_KEY

Admin API key as bearer token. Format: Bearer YOUR_ADMIN_KEY
path
idstring
Required

Subscription identifier.

Request Preview
Response

Response will appear here after sending the request

Authentication

header
Authorizationstring
Required

Bearer token. Admin API key as bearer token. Format: Bearer YOUR_ADMIN_KEY

Path Parameters

idstring
Required

Subscription identifier.

Responses

successboolean
dataobject